Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface StaticLibraryBinary

    org.gradle.api.Buildable
      org.gradle.language.base.Binary
          org.gradle.nativebinaries.NativeBinary
              org.gradle.nativebinaries.LibraryResolver
                  org.gradle.api.Named
                      org.gradle.nativebinaries.StaticLibraryBinary
                          org.gradle.language.base.BuildableModelElement
                              org.gradle.nativebinaries.LibraryBinary

All Superinterfaces:
  Buildable, Binary, NativeBinary, LibraryResolver, Named, BuildableModelElement, LibraryBinary

    @Incubating
    @HasInternalProtocol
    public interface StaticLibraryBinary
    extends LibraryBinary

A Library that has been compiled and archived into a static library.

Method Summary
`Tool` | `getStaticLibArchiver()` The static archiver settings used for creating this binary.

Methods inherited from interface LibraryBinary
getComponent

Methods inherited from interface NativeBinary
getBuildType, getComponent, getFlavor, getLibs, getLinker, getOutputFile, getSource, getTargetPlatform, getTasks, getToolChain, isBuildable, lib, setOutputFile, source

Methods inherited from interface LibraryResolver
resolve

Method Detail

### getStaticLibArchiver

    public Tool getStaticLibArchiver()

  The static archiver settings used for creating this binary.

Gradle API 1.10